<ngx-loading [show]="loading" />

<div [ngClass]="className.main">
  <div [ngClass]="className.information">
    <img
      [ngClass]="className.logo"
      height="52"
      width="122"
      alt="Satu Data Jabar"
      ngSrc="/assets/images/logo/satu-data-jabar-black.svg"
      priority
    />
    <div [ngClass]="className.description">
      Platform untuk pengelolaan dan berbagi pakai data antar Perangkat Daerah
      di lingkungan Pemerintah Provinsi Jawa Barat.
    </div>
    <img
      [ngClass]="className.illustration"
      height="320"
      width="365"
      alt="Satu Data Jabar"
      ngSrc="/assets/images/illustration.png"
      priority
    />
  </div>
  <div [ngClass]="className.content">
    <div [ngClass]="[jds.card, className.card]">
      <div [ngClass]="[jds.cardHeader, className.cardHeader]">
        <h6>Masuk ke Satu Data</h6>
      </div>
      <div [ngClass]="[jds.cardBody, className.cardBody]">
        <div [ngClass]="[jds.d('grid')]">
          <a
            [style.letterSpacing]="'normal'"
            [href]="ssoURL"
            [colorScheme]="colorScheme"
            jdsBiButton
          >
            <img
              [style.height.px]="18"
              [ngClass]="[jds.me(8)]"
              height="18"
              width="19"
              ngSrc="/assets/images/siap-jabar.svg"
              alt="SIAP Jabar"
              priority
            />
            <span>Masuk dengan SSO Jabar</span>
          </a>
        </div>

        <div [ngClass]="[jds.mt(20)]">
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="true"
            [ngClass]="[className.accordion]"
            colorScheme="gray"
          >
            <jds-bi-panel id="accordion-login">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span>Login pegawai non ASN</span>
                  <jds-bi-icon
                    class="t-accordion-button-icon"
                    [ngClass]="[jds.text('primary')]"
                    [size]="14"
                    name="chevron-down"
                  />
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <form
                  [formGroup]="loginForm"
                  (ngSubmit)="onSubmit()"
                >
                  <div
                    #alert
                    *ngIf="error"
                    [ngClass]="[
                      jds.alert,
                      jds.alertDanger,
                      jds.alertDismissible
                    ]"
                  >
                    {{ error }}
                    <button
                      [ngClass]="jds.buttonClose"
                      (click)="alert.remove()"
                      type="button"
                    ></button>
                  </div>

                  <div
                    *ngrxLet="f.username; let username"
                    [ngClass]="jds.mb(16)"
                  >
                    <label [ngClass]="[jds.formLabel]">Username</label>
                    <input
                      [class.invalid]="
                        submitted && username.errors ? true : false
                      "
                      [colorScheme]="colorScheme"
                      jdsBiInput
                      type="text"
                      formControlName="username"
                      placeholder="198005xxxxxxxxxxxx"
                    />
                    <ng-container *ngIf="submitted && username.errors">
                      <div
                        *ngIf="username.errors.required"
                        [ngClass]="[jds.formText, jds.text('danger')]"
                      >
                        Harus diisi.
                      </div>
                    </ng-container>
                  </div>

                  <div
                    *ngrxLet="f.password; let password"
                    [ngClass]="jds.mb(16)"
                  >
                    <label [ngClass]="[jds.formLabel]">Password</label>
                    <div jdsBiInputGroup>
                      <input
                        [class.invalid]="
                          submitted && password.errors ? true : false
                        "
                        [colorScheme]="colorScheme"
                        [type]="fieldTextType ? 'text' : 'password'"
                        jdsBiInput
                        formControlName="password"
                        placeholder="Password"
                      />
                      <button
                        [colorScheme]="colorScheme"
                        (click)="toggleFieldTextType()"
                        jdsBiInputRightAddon
                        type="button"
                        aria-label="Show/Hide Password"
                        jdsBiButton
                      >
                        <jds-bi-icon
                          [name]="fieldTextType ? 'eye' : 'eye-slash'"
                        />
                      </button>
                    </div>
                    <ng-container *ngIf="submitted && password.errors">
                      <div
                        *ngIf="password.errors.required"
                        [ngClass]="[jds.formText, jds.text('danger')]"
                      >
                        Harus diisi.
                      </div>
                    </ng-container>
                  </div>

                  <div
                    *ngrxLet="f.recaptcha; let recaptcha"
                    [ngClass]="jds.mb(16)"
                  >
                    <div
                      [style.transform]="'scale(0.975)'"
                      [style.transformOrigin]="0"
                    >
                      <re-captcha
                        [siteKey]="env.googleRecaptcha"
                        formControlName="recaptcha"
                      />
                    </div>
                  </div>

                  <div [ngClass]="[className.rememberForgot, jds.mb(24)]">
                    <div [ngClass]="[jds.formCheck, className.formCheck]">
                      <input
                        id="remember-me"
                        [ngClass]="[jds.formCheckInput]"
                        [value]="isRememberMe"
                        [checked]="isRememberMe"
                        (click)="rememberMe($event.target.checked)"
                        type="checkbox"
                      />
                      <label
                        [ngClass]="[jds.formCheckLabel]"
                        for="remember-me"
                      >
                        Ingat Saya
                      </label>
                    </div>
                    <div [ngClass]="[className.forgotPassword]">
                      <a
                        [routerLink]="[]"
                        [ngClass]="[className.forgotLink]"
                        (click)="forgotPassword()"
                      >
                        Lupa password Anda?
                      </a>
                    </div>
                  </div>

                  <div [ngClass]="jds.d('grid')">
                    <button
                      [disabled]="loading"
                      [isLoading]="loading"
                      [colorScheme]="colorScheme"
                      type="submit"
                      jdsBiButton
                    >
                      Masuk
                    </button>
                  </div>
                </form>

                <div [ngClass]="[className.separator, jds.my(12)]">atau</div>

                <div [ngClass]="[jds.d('grid')]">
                  <a
                    [style.letterSpacing]="'normal'"
                    [href]="ssoDigiteamURL"
                    [colorScheme]="colorScheme"
                    jdsBiButton
                    variant="outline"
                  >
                    <img
                      [style.height.px]="18"
                      [ngClass]="[jds.me(8)]"
                      height="20"
                      width="20"
                      ngSrc="/assets/images/digiteam.svg"
                      alt="Digiteam"
                      priority
                    />
                    <span>Masuk dengan Digiteam</span>
                  </a>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>
        </div>
      </div>
    </div>
  </div>
</div>

<app-modal-forgot-password-v2 />
<app-modal-agreement />
